Уязвимость BDU:2020-00720

Дата: 06.12.2018. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2020-00720.

Наименование уязвимости: Уязвимость поля ввода данных аутентификации «_failure_path» программной платформы для разработки и управления веб-приложениями Symfony, позволяющая нарушителю получить несанкционированный доступ к информации или выполнить произвольный код.

Описание уязвимости: Уязвимость поля ввода данных аутентификации «_failure_path» программной платформы для разработки и управления веб-приложениями Symfony связана с переадресацией на недоверенный сайт. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, получить несанкционированный доступ к информации или выполнить произвольный код
Уязвимое ПО: Операционная система Fedora Project Fedora 28 | Операционная система ООО «РусБИТех-Астра» Astra Linux 1.6 «Смоленск» | Операционная система Debian GNU/Linux 8.0 | Операционная система Debian GNU/Linux 9.0 | Прикладное ПО информационных систем SensioLabs, symfony community Symfony от 2.7.0 до 2.7.50 | Прикладное ПО информационных систем SensioLabs, symfony community Symfony от 2.8.0 до 2.8.49 | Прикладное ПО информационных систем SensioLabs, symfony community Symfony от 3.0.0 до 3.4.20 | Прикладное ПО информационных систем SensioLabs, symfony community Symfony от 4.0.0 до 4.0.15 | Прикладное ПО информационных систем SensioLabs, symfony community Symfony от 4.1.0 до 4.1.9 | Прикладное ПО информационных систем SensioLabs, symfony community Symfony от 4.2.0 до 4.2.1 |

Наименование ОС и тип аппаратной платформы: Fedora 28 | Astra Linux 16 «Смоленск» | Debian GNU/Linux 80 | Debian GNU/Linux 90 |
Дата выявления: 06.12.2018.
CVSS 2.0: AV:N/AC:M/Au:N/C:P/I:P/A:N
Уровень опасности уязвимости: Средний уровень опасности (базовая оценка CVSS 2.0 составляет 5,8)
Средний уровень опасности (базовая оценка CVSS 3.0 составляет 6,1)

Возможные меры по устранению:
Использование рекомендаций:
Для symfony:
Обновление программного обеспечения до 3.4.22+dfsg-2 или более поздней версии

Для Debian:
Обновление программного обеспечения (пакета symfony) до 2.8.7+dfsg-1.3+deb9u2 или более поздней версии

Для Astra Linux:
https://wiki.astralinux.ru/pages/viewpage.action?pageId=57444186

Для Fedora:
https://lists.fedoraproject.org/archives/list/[email protected]/message/4TD3E7FZIXLVFG3SMFJPDEKPZ26TJOW7/
https://lists.fedoraproject.org/archives/list/[email protected]/message/JZMRJ7VTHCY5AZK24G4QGX36RLUDTDKE/
https://lists.fedoraproject.org/archives/list/[email protected]/message/OA4WVFN5FYPIXAPLWZI6N425JHHDSWAZ/
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2018-19790.

Тип ошибки CWE: CWE-601
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://symfony.com/blog/cve-2018-19790-open-redirect-vulnerability-when-using-security-http
https://nvd.nist.gov/vuln/detail/CVE-2018-19790
https://security-tracker.debian.org/tracker/CVE-2018-19790
https://wiki.astralinux.ru/pages/viewpage.action?pageId=57444186
https://lists.fedoraproject.org/archives/list/[email protected]/message/4TD3E7FZIXLVFG3SMFJPDEKPZ26TJOW7/
https://lists.fedoraproject.org/archives/list/[email protected]/message/JZMRJ7VTHCY5AZK24G4QGX36RLUDTDKE/
https://lists.fedoraproject.org/archives/list/[email protected]/message/OA4WVFN5FYPIXAPLWZI6N425JHHDSWAZ/

ФСТЭК России

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *